package com.bytedance.android.livesdk.broadcast.preview.widget.replay;

import X.0CB;
import X.0CH;
import X.6Is;
import X.C1330FzP;
import android.content.Context;
import android.view.View;
import com.bytedance.android.livesdk.livesetting.broadcast.LiveBroadcastPreviewSetting;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.datachannel.DataChannel;
import com.bytedance.ies.sdk.widgets.LiveWidget;
import kotlin.h.b.n;

public final class PreviewReplayWidget extends LiveWidget implements 6Is {
    public C1330FzP LIZ;

    static {
        Covode.recordClassIndex(12450);
    }

    public final void onStateChanged(0CH r1, 0CB r2) {
        super.onStateChanged(r1, r2);
    }

    public final void LIZ() {
        C1330FzP fzP = this.LIZ;
        if (fzP != null) {
            fzP.LIZJ();
        }
    }

    public final void LIZIZ() {
        C1330FzP fzP = this.LIZ;
        if (fzP != null) {
            fzP.LIZIZ();
        }
    }

    public final int getLayoutId() {
        if (LiveBroadcastPreviewSetting.INSTANCE.enableV1Style() || LiveBroadcastPreviewSetting.INSTANCE.enableV2Style()) {
            return 2131561765;
        }
        return 2131561764;
    }

    public final void onCreate() {
        super.onCreate();
        Context context = this.context;
        View view = getView();
        if (view != null) {
            n.LIZIZ(view, "");
            DataChannel dataChannel = this.dataChannel;
            n.LIZIZ(dataChannel, "");
            this.LIZ = new C1330FzP(context, view, dataChannel);
        }
    }
}
